Artboard
FileMaker Files

Remove admin access from FM File

Requires FileMaker Server 20.3 or later. This endpoint will remove the admin access from a FileMaker file. Accepts a single file or an array of files for batch processing.

POST
/otto/api/fm-file/remove-admin-access

Request Body

application/json

POST /otto/api/fm-file/remove-admin-access Request body

encryptionKey?string

Optional encryption key

inPlace*boolean

Whether to remove admin access from the file in place

sourceFile*string

File name to remove admin access from in the FileMaker format

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/fm-file/remove-admin-access" \  -H "Content-Type: application/json" \  -d '{    "inPlace": true,    "sourceFile": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}